using Claim = System.Security.Claims.Claim;

namespace OpenWarehouse.warehouse.api.Data;

public class ItemClaims() : ClaimBase
{
    public ItemClaims(Item item, Claim claim) : this()
    {
        Item = item;
        ClaimType = claim.Type;
        ClaimValue = claim.Value;
    }
    [Key]
    public Guid Id { get; set; }
    [Required, MaxLength(30)]
    public Guid? ItemId { get; set; }
    public Item? Item { get; set; }
}